/* $Id: aocolor.h 29 2010-01-02 13:36:32Z mawerick $ */
/*  AOCrayon - Chat color management tool for Anarchy Online
 *  Copyright (C) 2005 - 2010  Mawerick
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef AOCOLOR_H
#define AOCOLOR_H

#include <QtGui>

class AOColor
{
public:
	AOColor();
	AOColor( const AOColor &other );
	AOColor( const QString &name );

	enum ColorType {
		String,
		Hex3,
		Hex4
	};

	void setName( const QString &name );
	QString name() const;

	void setColor( const QString &color );
	void setColor( const QColor &color );
	void setValue( const QString &value );
	QString value() const;
	QColor color() const;

	bool operator==( const AOColor &other );
	bool operator==( const QString &name );

protected:
	QString Name;
	QString Color;
	ColorType Type;
	int r;
	int g;
	int b;
};

inline void AOColor::setName( const QString &name )
{ Name = name; }

inline QString AOColor::name() const
{ return Name; }

inline void AOColor::setValue( const QString &value )
{ Color = value; }

inline QString AOColor::value() const
{ return Color; }

inline bool AOColor::operator==( const AOColor &other )
{ return Name == other.Name; }

inline bool AOColor::operator==( const QString &name )
{ return Name == name; }

#endif // AOCOLOR_H
