/* $Id$ */
/*  AOCrayon - Chat color management tool for Anarchy Online
 *  Copyright (C) 2005 - 2010  Mawerick
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef AOCOLORS_H
#define AOCOLORS_H

#include <QtXml>
#include "aocolor.h"

class AOColors : public QList<AOColor>
{
public:
	AOColors();
	AOColors( const AOColors& l ) : QList<AOColor>(l) { }
	AOColors( const QList<AOColor>& l ) : QList<AOColor>(l) { }
	AOColors( const AOColor& i ) { append(i); }

	AOColor getByName( const QString &name );
	bool updateColor( const AOColor &color );
	void addColor( const AOColor &color );

	bool load();
	bool save();
};

extern AOColors Colors;

#endif // AOCOLORS_H
