/* $Id: settings.h 29 2010-01-02 13:36:32Z mawerick $ */
/*  AOCrayon - Chat color management tool for Anarchy Online
 *  Copyright (C) 2005 - 2010  Mawerick
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef SETTINGS_H
#define SETTINGS_H

#include <QtCore>

class Settings
{
public:
	Settings();

	void load();
	void save();

	QVariant get( const QString &name, QVariant defvalue = 0 );
	void set( const QString &name, QVariant value );

	QDir *getGuiBaseDir();
	QDir *getGuiDir();
	static QString cleanPath( const QString &path );

private:

#ifdef ALLOW_LEGACY_PREFS
	bool loadLegacy();
#endif

	QMap<QString,QVariant> SettingsMap;
};

extern Settings Prefs;

#endif // SETTINGS_H
