/* $Id: settings_page.h 29 2010-01-02 13:36:32Z mawerick $ */
/*  AOCrayon - Chat color management tool for Anarchy Online
 *  Copyright (C) 2005 - 2010  Mawerick
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef SETTINGS_PAGE_H
#define SETTINGS_PAGE_H

#include <QtGui>

class AOColor;

class SettingsPage : public QWidget
{
	Q_OBJECT

public:
	SettingsPage( QWidget *parent = 0 );

	bool confirmAOPath();

	bool backupOriginalColors();

	void updateColors();
	void setBGColor( const QColor &BGColor );

public slots:
	void setAOPath( const QString &path );
	void setGUI( const QString &gui );
	void setMode( bool mode );
	void setStyle( const QString &style );

protected slots:
	bool browseAOPath();
	void pickBGColor();
	void restoreColors();
	void restoreBackup();
	void restoreBundledColors();
	void restoreOriginalColors();

signals:
	void updateBGColor();
	void reloadColors();
	void modeChanged( bool mode );
	void styleChanged( const QString &style );

protected:
	void updateGUIs();

	QVBoxLayout* BaseLayout;
	QHBoxLayout* AOPathLayout;
	QLabel* AOPathLabel;
	QLineEdit* AOPathBox;
	QPushButton* AOPathBtn;
	QLabel* AOPathErrorLabel;
	QHBoxLayout* GUILayout;
	QLabel* GUILabel;
	QComboBox* GUIList;
	QLabel* GUIErrorLabel;
	QPushButton* ReloadBtn;
	QPushButton* RestoreBackupBtn;
	QPushButton* RestoreBundledBtn;
	QPushButton* RestoreOriginalBtn;
	QHBoxLayout* StyleLayout;
	QLabel* StyleLabel;
	QComboBox* StyleList;
	QHBoxLayout* BGColorLayout;
	QLabel* BGColorLabel;
	QPushButton* BGColorBtn;
	QCheckBox* ModeBtn;
};

#endif // SETTINGS_PAGE_H
